﻿using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Services;
using System.Web.Services.Protocols;
using System.Xml.Linq;
using System.Web.Script.Serialization;
using System.Collections.Generic;

namespace AjaxWithJQuery
{
    /// <summary>
    /// Summary description for SimpleService
    /// </summary>
    [WebService(Namespace = "http://tempuri.org/")]
    [WebServiceBinding(ConformsTo = WsiProfiles.BasicProfile1_1)]
    [ToolboxItem(false)]
    // To allow this Web Service to be called from script, using ASP.NET AJAX, uncomment the following line. 
     [System.Web.Script.Services.ScriptService]
    public class SimpleService : System.Web.Services.WebService
    {

        [WebMethod(true)]
        public void NoteChangedRows(int rowIndex)
        {
            List<Int32> list = null;

            if (Session["List"] == null)
            {
                list = new List<int>();

                if (list.Contains(rowIndex)) return;

                list.Add(rowIndex);
                Session["List"] = list; 
            }

            else
            {
                list = Session["List"] as List<Int32>;

                if (list.Contains(rowIndex)) return;

                list.Add(rowIndex); 
            }

            
        }



        [WebMethod]
        public string HelloWorld()
        {                      

            return "Hello World";
        }

        [WebMethod]
        public string GetCustomer(int id)
        {
            Customer customer = new Customer() { FirstName = "Mohammad", LastName = "Azam" };

            JavaScriptSerializer s = new JavaScriptSerializer();
            return s.Serialize(customer);        
        }
    }
}
